package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;

import java.util.Map;

public interface MessageServiceI {
	/**
	 * 获取消息数量
	 * @param communityId
	 * @return
	 */
	Map<String, Object> getMessageTotal(Integer communityId, Integer userId);
	
	/**
	 * 分页获取消息或待办
	 * @param communityId
	 * @param pageNum
	 * @param pageSize
	 * @param modelType
	 * @return
	 */
	Map<String,Object> getMessages(Integer communityId, Integer pageNum, Integer pageSize,Integer modelType, Integer userId);

	/**
	 * 全部已读
	 */
	void updateMessageReadStatus(Integer communityId, Integer userId);

	/**
	 * 根据消息的id, 进行已读操作
	 * @param userElement
	 * @param messageId
	 * @return
	 */
	ResponseBean updateMessageByIdReadStatus(UserElement userElement, Integer messageId);
}
