package com.community.huiju.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * APP端菜单页面
 * </p>
 *
 * @author jobob
 * @since 2019-03-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaSysMenuImg implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;
    
    private Integer taMenuId;
    
    private String menuIconImg;
    
}
