package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.huiju.model.TpActivitySignUp;
import org.apache.ibatis.annotations.*;

import java.util.List;

/**
 * <p>
 * 物业web端活动报名表 Mapper 接口
 * </p>
 *
 * @author weiximei
 * @since 2019-01-03
 */
@Mapper
public interface TpActivitySignUpMapper extends BaseMapper<TpActivitySignUp> {

//    @Select("SELECT tas.* FROM tp_activity_sign_up tas LEFT JOIN ta_user tau on tas.ta_user_id = tau.id where tau.user_name like concat('%',#{userName,jdbcType=VARCHAR},'%') and tau.login_name LIKE concat('%',#{phone,jdbcType=VARCHAR},'%')")
    IPage<TpActivitySignUp> listQuery(Page page, @Param("userName") String userName, @Param("phone") String phone, @Param("activityId") Integer activityId);

}
