package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.community.huiju.model.TpTransaction;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 物业web端二手交易表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2018-12-29
 */
public interface TpTransactionMapper extends BaseMapper<TpTransaction> {
	
	List<TpTransaction> selectListByParams(IPage page,@Param("tpTransaction") TpTransaction tpTransaction);
}
