package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 轮播数设置表
 * </p>
 *
 * @author weiximei
 * @since 2019-03-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_carousel_setting")
public class TpCarouselSetting implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 轮播类型： announcement 表示公告  activity 表示活动  banner表示运营banner
     */
    private String carouselType;

    /**
     * 轮播数量
     */
    private Integer carouselNum;


}
