package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TpTransaction;

/**
 * <p>
 * 物业web端二手交易表 服务类
 * </p>
 *
 * @author jobob
 * @since 2018-12-29
 */
public interface ITransactionService extends IService<TpTransaction> {
	
	ResponseBean getTransactionList(TpTransaction tpTransaction, Integer pageNum, Integer pageSize);
	
	/**
	 * 获取交易信息详情
	 * @param id
	 * @return
	 */
	ResponseBean getTransactionInfo(Integer id);
	
	/**
	 * 作废二手交易
	 * @param id
	 * @return
	 */
	ResponseBean updateTransactionById(Integer id,Integer userId);
}
