package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.huiju.model.TpAnnouncement;

/**
 * version V1.0
 * class_name: $METHOD_NAME$
 * param: $METHOD_PARAM$
 * describe: TODO
 * creat_user:fannaixi
 * creat_time: 2018/12/28
 **/
public interface TpAnnouncementService extends IService<TpAnnouncement> {
    /**
     * 获取公告列表
     */
    ResponseBean tpAnnouncemenList(String paramets,Integer CommunityId);

    /**
     * 添加公告
     * @param paramets
     * @param communityId
     * @return
     */
    ResponseBean addAnnouncement(String paramets, Integer communityId,Integer userId);

    /**
     * 查询公告详情
     * @param paramets
     * @return
     */
    ResponseBean announcementById(String paramets);

    /**
     * 修改公告
      * @param paramets
     * @return
     */
    ResponseBean updateAnnouncement(String paramets,Integer communityId,Integer userId);

    /**
     * 批量删除公告
      * @param paramets
     * @param communityId
     * @param id
     * @return
     */
    ResponseBean deleteAnnouncement(String paramets, Integer communityId, Integer id);
}
