package com.community.huiju.vo;

import com.community.huiju.model.TpTicket;
import com.community.huiju.model.TpTicketRecord;
import com.community.huiju.model.TpTicketRecordComment;
import com.community.huiju.model.User;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * version V1.0
 * class_name: $METHOD_NAME$
 * param: $METHOD_PARAM$
 * describe: TODO
 * creat_user:fannaixi
 * creat_time: 2019/2/14
 **/
@Data
public class TpTicketVO extends TpTicket {
    /**
     * 发起人
     */
    private String createUserNmae;

    /**
     * 受理人
     */
    private String tpUserNmae;

    /**
     *工单内容下的图片
     */
    private  List<String> contentImageUrl;

    /**
     * 工单流程状态
     */
    private List<TpTicketRecord> recordList;

    /**
     * 工单对话图片
     */
    private  List<String> ticketRecordCommentImagesUrl;

    /**
     * 工单对话记录
     */
    private List<TpTicketRecordComment> tpTicketRecordCommentList;

    /**
     * 发起人手机号码
     */
    private  String loginName;

    /**
     * 所有当前小区的物业人员
     */
    private List<User> userList;

    /**
     * 当前人
     */
    private Integer CurrentUserName;

    /**
     * 工单状态集合
     */
    private List<Integer> statusList;
}
