import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/transactions',
    method: 'get',
    params: query
  })
}

// 查询 活动详情
export function transactionById(id) {
  return request({
    url: '/transaction/' + id,
    method: 'get'
  })
}

// 作废 活动详情
export function updateTransactionById(id) {
  return request({
    url: '/transaction/update/' + id,
    method: 'post'
  })
}
