package com.community.huiju.common.welcome;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 迎宾系统配置
 * @author weiximei
 */
@ConfigurationProperties(prefix = "welcome")
@Component
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WelcomeProperties {

    /** 小区 **/
    private Integer communityId;

    /** 请求url **/
    private String url;

}
