package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.community.huiju.model.TaSysMenu;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * APP端菜单页面 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-03-06
 */
@Mapper
public interface TaSysMenuMapper extends BaseMapper<TaSysMenu> {

    /**
     * 根据小区查询出APP菜单列表
     * @param communityId
     * @return
     */
    List<TaSysMenu> selectList(Integer communityId);

}
