package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.huiju.model.TpBuildingOwnerInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 楼栋业主资料信息表 Mapper 接口
 * </p>
 *
 * @author weiximei
 * @since 2018-12-18
 */
@Mapper
public interface TpBuildingOwnerInfoMapper extends BaseMapper<TpBuildingOwnerInfo> {
    /**
     * 获取已认证通过的
     * @param
     * @return
     */
    IPage<TpBuildingOwnerInfo> selectUserApprove(Page page ,@Param("ownerName") String r , @Param("ownerTel") String ownerTel, @Param("VerifyStatus") String VerifyStatus,@Param("CommunityId")Integer CommunityId);
    
    int batchInsert(List<TpBuildingOwnerInfo> list);

    int batchUpdate(List<TpBuildingOwnerInfo> list);
}
