package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.community.huiju.model.TpTicketRecord;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 工单处理表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-02-14
 */
public interface TpTicketRecordMapper extends BaseMapper<TpTicketRecord> {

    TpTicketRecord selectTpTicketRecord(@Param("ticketId") Integer ticketId, @Param("status") Integer status);

    /**
     * 在状态为待分配的情况下根据工单ID修改
     * @param tpTicketRecord
     */
    void updateTicketRecord(TpTicketRecord tpTicketRecord);

    String statusName(@Param("status") String status);
}
