package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.AnnouncementTel;

/**
 * <p>
 * 物业号码表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-05
 */
public interface IAnnouncementTelService extends IService<AnnouncementTel> {
	
	/**
	 *
	 * 获取物业号码列表
	 * @param announcementTel
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	ResponseBean getTelList(AnnouncementTel announcementTel, Integer pageNum, Integer pageSize);
}
