package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.BillStatement;

/**
 * <p>
 * 账单流水表 服务类
 * </p>
 *
 * @author weiximei
 * @since 2019-02-13
 */
public interface IBillStatementService extends IService<BillStatement> {

    /**
     * 查询流水账单
     * @param userElement
     * @param parameter
     * @return
     */
    ResponseBean getBillStatement(UserElement userElement, String parameter);

    /**
     * 导出Excel
     * @param userElement
     * @return
     */
    ResponseBean exportExcel(UserElement userElement);
}
