package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.model.Message;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 物业端消息表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-05
 */
public interface IMessageService extends IService<Message> {
    /**
     * 查询消息待办列表
     * @param parameter
     * @param communityId
     * @return
     */
    ResponseBean messageLiset(String parameter, Integer communityId,Integer userID);

    /**
     * 查询关于我的所有消息
     * @param parameter
     * @param communityId
     * @param id
     * @return
     */
    ResponseBean myMessageList(String parameter, Integer communityId, Integer id);

    /**
     * 批量删除（已读）
     * @param parameter
     * @param id
     * @return
     */
    ResponseBean delectRead(String parameter, Integer id);
}
