package com.community.huiju.vo;

import com.community.huiju.model.TpSysRole;
import com.community.huiju.model.User;
import lombok.Data;


import java.util.List;
import java.util.Map;

@Data
public class UserVO extends User {

    /** 用户token **/
    private String token;

    /** 角色 **/
    private List<TpSysRole> roles;

    /** 小区名称 **/
    private String communityName;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 创建人名称
     */
    private String createNmae;

    /**
     * 修改人名称
     */
    private String updateNmae;

    /**
     * 角色ID
     */
    private String roleId;
    
    /**
     * 权限相关
     */
    private List<Map<String,Object>> permissionList;
}
