import Vue from 'vue'
import Vuex from 'vuex'
import app from './modules/app'
import user from './modules/user'
import banner from './modules/banner'
import community from './modules/community'
import trunkIndex from './modules/trunkIndex'
import getters from './getters'
import role from './modules/role'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    user,
    community,
    banner,
    trunkIndex,
    role
  },
  getters
})

export default store
